<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="imageUrl"
            type="String" />

        <variable
            name="text"
            type="android.text.SpannableStringBuilder" />

        <variable
            name="description"
            type="String" />

        <variable
            name="onViewPreviewClick"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/glVert30"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".3" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/glVert35"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".35" />

        <ImageView
            android:id="@+id/ivImage"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:scaleType="centerCrop"
            app:layout_constraintDimensionRatio="3:4"
            app:layout_constraintEnd_toEndOf="@id/glVert30"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:load="@{imageUrl}"
            tools:ignore="ContentDescription" />

        <TextView
            android:id="@+id/tvTitle"
            style="?attr/textAppearanceBody2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{text}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias=".0"
            app:layout_constraintStart_toStartOf="@id/glVert35"
            app:layout_constraintTop_toTopOf="parent" />

        <com.google.android.material.button.MaterialButton
            style="@style/Widget.MaterialComponents.Button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/space_small"
            android:onClick="@{onViewPreviewClick}"
            android:text="@string/view_preview"
            app:layout_constraintStart_toStartOf="@+id/glVert35"
            app:layout_constraintTop_toBottomOf="@+id/tvTitle" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>